apply plugin: 'java'

def libraries = rootProject.ext.libraries

repositories {
    mavenLocal()
    maven { url = "http://maven.aliyun.com/nexus/content/groups/public" }
    mavenCentral()
}
dependencies {
    // shiro
//    compile(libraries."shiro-core", libraries."shiro-spring", libraries."shiro-cache")
    compileClasspath libraries."shiro"
    parentClasspath libraries."shiro"

    //swagger
    compileClasspath libraries."springfox-swagger2"
    parentClasspath libraries."springfox-swagger2"

    //mybatis
    compileClasspath libraries."mybatis-generator"
    parentClasspath libraries."mybatis-generator"
    
    // redis 依赖
    compileClasspath libraries."commons-pool2"
    parentClasspath libraries."commons-pool2"

    // cache
    compileClasspath libraries."ehcache", libraries."ehcache-api"
    parentClasspath libraries."ehcache", libraries."ehcache-api"
    
    // modelmapper
    compileClasspath 'com.github.rozidan:modelmapper-spring-boot-starter:1.0.0'
    parentClasspath 'com.github.rozidan:modelmapper-spring-boot-starter:1.0.0'

    // https://mvnrepository.com/artifact/com.squareup.okhttp3/okhttp
    compileClasspath group: 'com.squareup.okhttp3', name: 'okhttp', version: '3.2.0'
    parentClasspath group: 'com.squareup.okhttp3', name: 'okhttp', version: '3.2.0'

    compile group: 'com.aliyun', name: 'aliyun-java-sdk-core', version:'3.3.1'
    compile group: 'com.aliyun', name: 'aliyun-java-sdk-dysmsapi', version: '1.0.0'
    compile group: 'com.aliyun.oss', name: 'aliyun-sdk-oss', version:'2.5.0'

    implementation 'com.alipay.sdk:alipay-sdk-java:3.7.110.ALL'
    compile 'com.thoughtworks.xstream:xstream:1.4.7'
}

apply plugin: 'java-library'

jar {
    // lib目录的清除和复制任务
//    dependsOn clearJar
//    dependsOn copyJar
    enabled=true
}